package com.bocloud.ims.service.model;

public class Dashboard {

	private Abstracts abstracts; // 概括信息
	private VmwarePlat vmwares; // vmware信息
	private OpenstackPlat openstacks;// openstack信息
	private Object applications; // 应用信息
	private Object alarms;// 告警信息

	/**
	 * @return the abstracts
	 */
	public Abstracts getAbstracts() {
		return abstracts;
	}

	/**
	 * @param abstracts
	 *            the abstracts to set
	 */
	public void setAbstracts(Abstracts abstracts) {
		this.abstracts = abstracts;
	}

	/**
	 * @return the vmwares
	 */
	public VmwarePlat getVmwares() {
		return vmwares;
	}

	/**
	 * @param vmwares
	 *            the vmwares to set
	 */
	public void setVmwares(VmwarePlat vmwares) {
		this.vmwares = vmwares;
	}

	/**
	 * @return the openstacks
	 */
	public OpenstackPlat getOpenstacks() {
		return openstacks;
	}

	/**
	 * @param openstacks
	 *            the openstacks to set
	 */
	public void setOpenstacks(OpenstackPlat openstacks) {
		this.openstacks = openstacks;
	}

	/**
	 * @return the applications
	 */
	public Object getApplications() {
		return applications;
	}

	/**
	 * @param applications
	 *            the applications to set
	 */
	public void setApplications(Object applications) {
		this.applications = applications;
	}

	/**
	 * @return the alarms
	 */
	public Object getAlarms() {
		return alarms;
	}

	/**
	 * @param alarms
	 *            the alarms to set
	 */
	public void setAlarms(Object alarms) {
		this.alarms = alarms;
	}

	public Dashboard() {
		super();
	}

	public Dashboard(Abstracts abstracts, VmwarePlat vmwares, OpenstackPlat openstacks, Object applications,
			Object alarms) {
		super();
		this.abstracts = abstracts;
		this.vmwares = vmwares;
		this.openstacks = openstacks;
		this.applications = applications;
		this.alarms = alarms;
	}

}
